## org.gnu.gdk
Class Segment

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gdk.Segment

public class Segment
extends Boxed

Specifies the start and end point for a line.

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`Segment(Handle handle)`

Method Summary
`int` `getX1()`
`protected static int` `getX1(Handle obj)`
`int` `getX2()`
`protected static int` `getX2(Handle obj)`
`int` `getY1()`
`protected static int` `getY1(Handle obj)`
`int` `getY2()`
`protected static int` `getY2(Handle obj)`
`protected void` `setX1(Handle obj, int x1)`
`void` `setX1(int x1)`
`protected void` `setX2(Handle obj, int x2)`
`void` `setX2(int x1)`
`protected void` `setY1(Handle obj, int y1)`
`void` `setY1(int y1)`
`protected void` `setY2(Handle obj, int y2)`
`void` `setY2(int y1)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Segment

    public Segment(Handle handle)

Method Detail

### getX1

    public int getX1()

### setX1

    public void setX1(int x1)

### getY1

    public int getY1()

### setY1

    public void setY1(int y1)

### getX2

    public int getX2()

### setX2

    public void setX2(int x1)

### getY2

    public int getY2()

### setY2

    public void setY2(int y1)

### getX1

    protected static final int getX1(Handle obj)

### setX1

    protected final void setX1(Handle obj,
                               int x1)

### getY1

    protected static final int getY1(Handle obj)

### setY1

    protected final void setY1(Handle obj,
                               int y1)

### getX2

    protected static final int getX2(Handle obj)

### setX2

    protected final void setX2(Handle obj,
                               int x2)

### getY2

    protected static final int getY2(Handle obj)

### setY2

    protected final void setY2(Handle obj,
                               int y2)